Events (Admin)
List manageable events (Admin)
GET
/manage/eventsList events where the authenticated user is registered as staff.
| Auth | Login required |
|---|
Query parameters
pagenumberoptionalPage number (1-based). Default 1.
perPagenumberoptionalItems per page. Default 20.
Notes
When accessed with an OAuth access token, `email` fields are recursively removed from the response JSON (they are retained for session-authenticated dashboard access).
Request
curl https://api.4s.link/manage/events \-H "Authorization: Bearer 4s_at_..."
Example response
{"events": [{ "id": "e1f2a3b4-...", "slug": "tech-conf-2026", "title": "4S Tech Conference 2026", "state": "PUBLISHED", "staffRole": "ADMIN", "participantCount": 320 }],"pageInfo": { "totalCount": 100, "totalPages": 5, "page": 1, "perPage": 20 }}